> For the complete documentation index, see [llms.txt](https://developer.ivvy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.ivvy.com/venues/accommodation/confirm-booking-room-reservation.md).

# Confirm Booking Room Reservation

<mark style="color:green;">`POST`</mark> `[PlatformAddress]/api/1.0/venue?action=confirmBookingRoomReservation`

Confirm a room reservation on a booking.

#### Request Body

| Name      | Type    | Description                                                                       |
| --------- | ------- | --------------------------------------------------------------------------------- |
| venueId   | integer | The unique id of the venue to which the booking belongs                           |
| bookingId | integer | The unique id of the booking to which the room reservation belongs                |
| id        | integer | The unique id of the room reservation to confirm                                  |
| roomIds   | array   | Optionally, the array of ids of the individual rooms on the reservation to cancel |

{% tabs %}
{% tab title="200 " %}

```javascript
{
  "success": true,
  "errorType": null
}
```

{% endtab %}
{% endtabs %}

### Response Error Types

| Error Type | Reason                                                                                                             |
| ---------- | ------------------------------------------------------------------------------------------------------------------ |
| 0          | Unknown error                                                                                                      |
| 1          | The reservation is already confirmed (and cannot be confirmed again)                                               |
| 2          | The reservation is cancelled (and cannot be confirmed)                                                             |
| 3          | The reservation has no rooms to confirm                                                                            |
| 4          | The accommodation group to which the room reservation applies, cannot confirm availability of the room             |
| 5          | There are not enough rooms available in the accommodation group to which the room reservation applies              |
| 6          | Unknown channel error                                                                                              |
| 7          | One or more individual rooms on the reservation cannot be confirmed                                                |
| 8          | Unknown channel error                                                                                              |
| 9          | The canBeEdited flag of the room reservation is false, which prevents any changes                                  |
| 10         | Confirming one or more room failed when roomIds parameter were set. See "failedRooms" in response for more details |

### Failed Rooms Error Codes

| Code | Message                                       |
| ---- | --------------------------------------------- |
| 1    | The room has already been confirmed           |
| 2    | The room has been cancelled                   |
| 3    | There are not enough rooms available in group |
| 4    | Room cannot be booked                         |
| 5    | The reservation cannot be edited              |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.ivvy.com/venues/accommodation/confirm-booking-room-reservation.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
